Bug 1012903 - [RHSC] Even before starting remove-brick on a volume, the Stop menu item in the Remove bricks menu is click-able
[RHSC] Even before starting remove-brick on a volume, the Stop menu item in t...
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dusmant
Shruti Sampat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 06:56 EDT by Shruti Sampat
Modified: 2016-02-17 19:15 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 06:09:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (174.53 KB, image/png)
2013-09-27 06:56 EDT, Shruti Sampat
no flags Details

  None (edit)
Description Shruti Sampat 2013-09-27 06:56:56 EDT
Created attachment 803893 [details]
screenshot

Description of problem:
------------------------
On selecting a brick of a volume, for which remove-brick operation is not running, the Stop menu item in the Remove brick menu is click-able. On clicking it shows an error pop-up which says that remove brick cannot be stopped as it is not started.

Version-Release number of selected component (if applicable):
Red Hat Storage Console Version: 2.1.1-0.0.1.master.el6ev 

How reproducible:
Always

Steps to Reproduce:
1. Create a volume and start it.
2. Navigate to the Bricks tab for the volume and select a brick.
3. Click on Remove -> Stop
4. In the confirmation dialog that appears, say yes.

Actual results:
An error pop-up which says that remove brick cannot be stopped as it is not started.

Expected results:
Remove -> Stop needs to be disabled if remove-brick is not running on a volume.

Additional info:
Screenshot attached.
Comment 2 Dusmant 2013-10-25 06:09:07 EDT
This issue is no longer applicable, after the menu moved out to rows...

Note You need to log in before you can comment on or make changes to this bug.